<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<meta http-equiv="MSThemeCompatible" content="Yes" />
<link rel="stylesheet" type="text/css" href="{pigcms::RES}/css/style_2_common.css?BPm" />
<script src="{pigcms::RES}/js/common.js" type="text/javascript"></script>
<link href="{pigcms::RES}/css/style.css" rel="stylesheet" type="text/css" />
 <script src="{pigcms::STATICS}/jquery-1.4.2.min.js" type="text/javascript"></script>
<!--<script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak={pigcms::$apikey}"></script>-->
 <link rel="stylesheet" type="text/css" href="{pigcms::RES}/css/cymain.css" />
 <script src="/tpl/static/artDialog/jquery.artDialog.js?skin=default"></script>
<script src="/tpl/static/artDialog/plugins/iframeTools.js"></script>
</head>
<body style="background:#fff">
<php>if(!isset($_GET['error'])){</php>
<div></div>
<div style="background:#fefbe4;border:1px solid #f3ecb9;color:#993300;padding:10px;width:90%;margin:40px auto 5px auto;">选中文件后点击上传按钮或者点击“从素材库选择”直接从已上传文件中选择</div>
<form enctype="multipart/form-data" action="" id="thumbForm" method="POST" style="font-size:14px;padding:30px 20px 10px 20px;">
<p><div>
	<div style="font-size:14px;">选择本地文件：<br><br>
	<input type="file" style="width:80%;border:1px solid #ddd" name="imgFile"></input>
	</div>
	<div style="padding:20px 0;text-align:center;">
		<input id="submitbtn" name="doSubmit" type="submit" class="btnGreen" value="上传" onclick="this.value='上传中...'"></input> 
		<if condition="$hideAttachment eq 0">
			<input name="btnchoose" onclick="location.href='{pigcms::U('Attachment/my',array('type'=>'my'))}'" type="button" class="btnGreen" value="从素材库选择" />
		</if>
		</div></p>
<input type="hidden" value="" id="width" name="width" />
<input type="hidden" value="" id="height" name="height" />
</form>
<script>
if (art.dialog.data('width')) {
	document.getElementById('width').value = art.dialog.data('width');// 获取由主页面传递过来的数据
	document.getElementById('height').value = art.dialog.data('height');
};
</script>
<php>}else{</php>
<div style="text-align:center;line-height:140px;font-size:14px;"> <img src="/tpl/User/default/common/images/export.png" align="absmiddle" /> <php>
	if($_GET['error']==0 || $_GET['error']==1){
		echo '上传成功';
	}
	else{
		if($_GET['error']==-2){
			echo "上传失败";
		}
		else{
			echo $_GET['msg'];
		}
	}</php> </div>
<script>
var domid=art.dialog.data('domid');
var callFunc = "<php> echo $_GET['callFunc'];</php>";
// 返回数据到主页面
function returnHomepage(url,filename){
	var origin = artDialog.open.origin;
	var dom = origin.document.getElementById(domid);
	var domsrcid=domid+'_src';

	if (filename && filename.length > 0){	
		var tipname = domid+'_src_name';
		if(tipname == 'document_src_name'){
			if(filename == '导入成功'){
				origin.document.getElementById(domid+'_src_name').setAttribute('class','successtip');
			}else{
				origin.document.getElementById(domid+'_src_name').setAttribute('class','errortip');
			}
		}
		origin.document.getElementById(domid+'_src_name').value=filename;
	}
	
	if(origin.document.getElementById(domsrcid)){
	origin.document.getElementById(domsrcid).src=url;
	}
	dom.value=url;
	if (callFunc == "addtoEditor"){
		window.parent.addtoEditor(url);
	}
	setTimeout("art.dialog.close()", 1500 )
}
<?php
if($_GET['error']==0 || $_GET['error']==-2){
	if ($_GET['srcname']){
	
		
		if ($_GET['companyCode']){
			echo "returnHomepage('".$_GET['msg'].'&companyCode='.$_GET['companyCode']."','".$_GET['srcname']."');";
		}
		else{
			echo "returnHomepage('".$_GET['msg']."','".$_GET['srcname']."');";
			
		}
	
	}
	else{
		if ($_GET['companyCode']){
			echo "returnHomepage('".$_GET['msg'].'&companyCode='.$_GET['companyCode']."');";
		}
		else{
			echo "returnHomepage('".$_GET['msg']."');";
			
		}
	}
}else if($_GET['error']==1){
	echo "returnHomepage('".$_GET['msg']."');";
}
?>
</script>
<php>}</php>
</body>
</html>